import java.awt.*;
import javax.swing.*;

public class vektorpanel extends JPanel
{
public JLabel xisim;
public JTextField x[]=new JTextField[3];
public JLabel Fisim;
public JTextField F[]=new JTextField[3];

public vektorpanel()
{
  this.setLayout(new GridLayout(2,4));
  xisim=new JLabel("xi,xj,xk");
  x[0]=new JTextField(5);
  x[1]=new JTextField(5);
  x[2]=new JTextField(5);
  Fisim=new JLabel("Fi,Fj,Fk");
  F[0]=new JTextField(5);
  F[1]=new JTextField(5);
  F[2]=new JTextField(5);
  this.add(xisim);
  for(int i=0;i<3;i++)
        this.add(x[i]);
  this.add(Fisim);
  for(int i=0;i<3;i++)
        this.add(F[i]);
}

public vektorpanel(String isim1,String isim2)
{
  this.setLayout(new GridLayout(2,4));
  xisim=new JLabel(isim1);
  x[0]=new JTextField(5);
  x[1]=new JTextField(5);
  x[2]=new JTextField(5);
  Fisim=new JLabel(isim2);
  F[0]=new JTextField(5);
  F[1]=new JTextField(5);
  F[2]=new JTextField(5);
  this.add(xisim);
  for(int i=0;i<3;i++)
        this.add(x[i]);
  this.add(Fisim);
  for(int i=0;i<3;i++)
        this.add(F[i]);
}

public void setvectorPanel(double xi[],double Fi[])
{
  for(int i=0;i<3;i++)
        this.x[i].setText(""+xi[i]);
  for(int i=0;i<3;i++)
        this.F[i].setText(""+Fi[i]);
}

}